# Check Point Maestro SGM ASG Counters

Monitors status of Check Point scalable platform SecurityGatewayModule (SGM) counters

---
### Check Info

* *service*: this check will create the service *ASG SGM counters* for each SGM, with the SGM ID as item
* *state*: always OK
* *wato*: None
* *perfdata*:\
**asgBladeId**\
**asgThroughput**\
**asgConnRate**\
**asgPacketRate**\
**asgConcurrConnNum**\
**asgAccelLoadAverage**\
**asgAccelLoadMin**\
**asgAccelLoadMax**\
**asgInstanceLoadAverage**\
**asgInstanceLoadMin**\
**asgInstanceLoadMax**

---
### Download

* [checkpoint_asg_counters.mkp (latest version)](https://thl-cmk.hopto.org/gitlab/checkmk/check-point/maestro/checkpoint_asg_counters/-/raw/master/checkpoint_asg_counters.mkp "Download latest version")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install checkpoint_asg_counters.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample [SHORT TITLE]")

